post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to delete an existing benchmark. However, you can’t delete a benchmark if it is associated with an administrator.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| account_name | Name of the account from which the benchmark should be deleted. | Yes | string |
| benchmarkname | Name of the benchmark that needs to be deleted. | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Compliance.deleteBenchmark(
account_name="Default",
benchmarkname="Amazon linux 2 general compliance"
)
print(response)
client.close()Requires Python 3.9 or later.